bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Test failures in coreutils-5.3.0 on cygwin


From: Eric Blake
Subject: Test failures in coreutils-5.3.0 on cygwin
Date: Tue, 11 Jan 2005 07:11:20 -0700
User-agent: Mozilla Thunderbird 1.0 (Windows/20041206)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The 5.3.0 testsuite does not even get a chance to run on cygwin, because
the check-README target of src/Makefile does not take into account
${EXEEXT}.  See the attached coreutils.check, and my proposed patch below.
 However, I didn't have automake 1.9.4, and could not get `autoreconf
- -fiv' to incorporate my patch (undistributed gnulib files, or an
incomplete ACLOCAL_AMFLAGS, perhaps?), see the attached coreutils.check2.
 Once I manually patched the corresponding Makefile.ins, I don't get very
far into the testsuite (1 of 5 failed under tests/chgrp), see
coreutils.check3.  I haven't yet had time to figure out how to get any
further.

2005-01-11  Eric Blake  <address@hidden>

        * src/Makefile.am (check-README, check-AUTHORS): Account for
        $(EXEEXT).
        * man/Makefile.am (all_programs): Account for $(EXEEXT).

- --- src/Makefile.am~    2004-12-14 16:52:44.000000000 -0700
+++ src/Makefile.am     2005-01-11 06:50:32.468250000 -0700
@@ -239,7 +239,8 @@
 check-README:
        rm -rf $(pr) $(pm)
        echo $(all_programs) \
- -         | tr -s ' ' '\n' | $(ASSORT) -u > $(pm) && \
+         | tr -s ' ' '\n' | sed -e 's,$(EXEEXT)$$,,' \
+         | $(ASSORT) -u > $(pm) && \
        sed -n '/^The programs .* are:/,/^[a-zA-Z]/p' $(top_srcdir)/README \
          | sed -n '/^   */s///p' | tr -s ' ' '\n' > $(pr)
        diff $(pm) $(pr) && rm -rf $(pr) $(pm)
@@ -250,7 +251,8 @@
 .PHONY: check-AUTHORS
 check-AUTHORS: $(all_programs)
        rm -f $(au_actual) $(au_dotdot)
- -       for i in `ls $(all_programs) | $(ASSORT) -u`; do \
+       for i in `ls $(all_programs) | sed -e 's,$(EXEEXT)$$,,' \
+         | $(ASSORT) -u`; do                           \
          test "$$i" = '[' && continue;                 \
          exe=$$i;                                      \
          if test "$$i" = install; then                 \
- --- man/Makefile.am~    2004-11-25 05:33:13.000000000 -0700
+++ man/Makefile.am     2005-01-11 06:55:01.968250000 -0700
@@ -155,7 +155,7 @@

 all_programs =                                                         \
       (cd ../src && MAKEFLAGS= $(MAKE) -s all_programs.list)           \
- -    | grep -v '\['
+    | sed -e 's,$(EXEEXT)$$,,' | grep -v '\['

 .PHONY: check-programs-vs-x
 check-programs-vs-x:

- --
Life is short - so eat dessert first!

Eric Blake             address@hidden
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (Cygwin)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFB496I84KuGfSFAYARAj15AJ4wooi8+mnPYuvom2RvR5Bzm/plJwCfdzhv
dIY0HWPDRAi2gnf4QWyY1AA=
=Ac2l
-----END PGP SIGNATURE-----
Making check in lib
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/lib'
./t-fpending > /dev/null
make  check-am
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/lib'
make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/lib'
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/lib'
Making check in src
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/src'
rm -rf progs-readme progs-makefile
echo [.exe chgrp.exe chown.exe chmod.exe cp.exe dd.exe dircolors.exe du.exe 
ginstall.exe link.exe ln.exe dir.exe vdir.exe ls.exe mkdir.exe mkfifo.exe 
mknod.exe mv.exe nohup.exe readlink.exe rm.exe rmdir.exe shred.exe stat.exe 
sync.exe touch.exe unlink.exe cat.exe cksum.exe comm.exe csplit.exe cut.exe 
expand.exe fmt.exe fold.exe head.exe join.exe md5sum.exe nl.exe od.exe 
paste.exe pr.exe ptx.exe sha1sum.exe sort.exe split.exe sum.exe tac.exe 
tail.exe tr.exe tsort.exe unexpand.exe uniq.exe wc.exe basename.exe date.exe 
dirname.exe echo.exe env.exe expr.exe factor.exe false.exe hostname.exe id.exe 
kill.exe logname.exe pathchk.exe printenv.exe printf.exe pwd.exe seq.exe 
sleep.exe tee.exe test.exe true.exe tty.exe whoami.exe yes.exe uname.exe 
chroot.exe hostid.exe nice.exe pinky.exe users.exe who.exe uptime.exe stty.exe 
df.exe groups chroot.exe df.exe hostid.exe nice.exe pinky.exe stty.exe su.exe 
uname.exe uptime.exe users.exe who.exe \
  | tr -s ' ' '\n' | LC_ALL=C sort -u > progs-makefile && \
sed -n '/^The programs .* are:/,/^[a-zA-Z]/p' ../README \
  | sed -n '/^   */s///p' | tr -s ' ' '\n' > progs-readme
diff progs-makefile progs-readme && rm -rf progs-readme progs-makefile
1,28c1,28
< [.exe
< basename.exe
< cat.exe
< chgrp.exe
< chmod.exe
< chown.exe
< chroot.exe
< cksum.exe
< comm.exe
< cp.exe
< csplit.exe
< cut.exe
< date.exe
< dd.exe
< df.exe
< dir.exe
< dircolors.exe
< dirname.exe
< du.exe
< echo.exe
< env.exe
< expand.exe
< expr.exe
< factor.exe
< false.exe
< fmt.exe
< fold.exe
< ginstall.exe
---
> [
> basename
> cat
> chgrp
> chmod
> chown
> chroot
> cksum
> comm
> cp
> csplit
> cut
> date
> dd
> df
> dir
> dircolors
> dirname
> du
> echo
> env
> expand
> expr
> factor
> false
> fmt
> fold
> ginstall
30,90c30,90
< head.exe
< hostid.exe
< hostname.exe
< id.exe
< join.exe
< kill.exe
< link.exe
< ln.exe
< logname.exe
< ls.exe
< md5sum.exe
< mkdir.exe
< mkfifo.exe
< mknod.exe
< mv.exe
< nice.exe
< nl.exe
< nohup.exe
< od.exe
< paste.exe
< pathchk.exe
< pinky.exe
< pr.exe
< printenv.exe
< printf.exe
< ptx.exe
< pwd.exe
< readlink.exe
< rm.exe
< rmdir.exe
< seq.exe
< sha1sum.exe
< shred.exe
< sleep.exe
< sort.exe
< split.exe
< stat.exe
< stty.exe
< su.exe
< sum.exe
< sync.exe
< tac.exe
< tail.exe
< tee.exe
< test.exe
< touch.exe
< tr.exe
< true.exe
< tsort.exe
< tty.exe
< uname.exe
< unexpand.exe
< uniq.exe
< unlink.exe
< uptime.exe
< users.exe
< vdir.exe
< wc.exe
< who.exe
< whoami.exe
< yes.exe
---
> head
> hostid
> hostname
> id
> join
> kill
> link
> ln
> logname
> ls
> md5sum
> mkdir
> mkfifo
> mknod
> mv
> nice
> nl
> nohup
> od
> paste
> pathchk
> pinky
> pr
> printenv
> printf
> ptx
> pwd
> readlink
> rm
> rmdir
> seq
> sha1sum
> shred
> sleep
> sort
> split
> stat
> stty
> su
> sum
> sync
> tac
> tail
> tee
> test
> touch
> tr
> true
> tsort
> tty
> uname
> unexpand
> uniq
> unlink
> uptime
> users
> vdir
> wc
> who
> whoami
> yes
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/src'
autoreconf: Entering directory `.'
autoreconf: running: autopoint --force
Copying file ABOUT-NLS
Copying file m4/gettext.m4
Copying file m4/glibc21.m4
Copying file m4/intdiv0.m4
Copying file m4/intmax.m4
Copying file m4/inttypes_h.m4
Copying file m4/isc-posix.m4
Copying file m4/lcmessage.m4
Copying file m4/longlong.m4
Copying file m4/po.m4
Copying file m4/printf-posix.m4
Copying file m4/size_max.m4
Copying file m4/stdint_h.m4
Copying file m4/uintmax_t.m4
Copying file m4/ulonglong.m4
Copying file m4/xsize.m4
Copying file config/mkinstalldirs
Copying file po/Makevars.template
autoreconf: running: aclocal --force -I m4
configure.ac:31: warning: gl_AC_TYPE_UINTMAX_T is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_UINTMAX_T is required by...
m4/jm-macros.m4:291: gl_CHECK_ALL_TYPES is expanded from...
m4/jm-macros.m4:181: gl_MACROS is expanded from...
configure.ac:31: the top level
configure.ac:31: warning: gl_AC_TYPE_UNSIGNED_LONG_LONG is m4_require'd but is 
not m4_defun'd
configure.ac:31: gl_AC_TYPE_UNSIGNED_LONG_LONG is required by...
m4/mkstemp.m4:69: gl_PREREQ_TEMPNAME is expanded from...
m4/mkstemp.m4:53: gl_FUNC_MKSTEMP is expanded from...
configure.ac:31: gl_FUNC_MKSTEMP is required by...
m4/prereq.m4:135: gl_PREREQ is expanded from...
configure.ac:31: gl_PREREQ is required by...
configure.ac:31: warning: gl_AC_TYPE_LONG_LONG is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_LONG_LONG is required by...
m4/allocsa.m4:17: gl_ALLOCSA is expanded from...
configure.ac:31: gl_ALLOCSA is required by...
m4/fsusage.m4:269: gl_PREREQ_FSUSAGE_EXTRA is expanded from...
m4/fsusage.m4:37: gl_FSUSAGE is expanded from...
configure.ac:31: gl_FSUSAGE is required by...
configure.ac:31: warning: gl_AC_HEADER_INTTYPES_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_INTTYPES_H is required by...
m4/intmax_t.m4:33: gl_AC_TYPE_INTMAX_T is expanded from...
m4/strtoimax.m4:37: gl_PREREQ_STRTOIMAX is expanded from...
m4/strtoimax.m4:30: gl_FUNC_STRTOIMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOIMAX is required by...
configure.ac:31: warning: gl_AC_HEADER_STDINT_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_STDINT_H is required by...
m4/strtoll.m4:20: gl_FUNC_STRTOLL is expanded from...
configure.ac:31: gl_FUNC_STRTOLL is required by...
m4/strtoull.m4:20: gl_FUNC_STRTOULL is expanded from...
configure.ac:31: gl_FUNC_STRTOULL is required by...
m4/strtoumax.m4:37: gl_PREREQ_STRTOUMAX is expanded from...
m4/strtoumax.m4:30: gl_FUNC_STRTOUMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOUMAX is required by...
m4/vasnprintf.m4:32: gl_PREREQ_PRINTF_ARGS is expanded from...
m4/vasnprintf.m4:22: gl_FUNC_VASNPRINTF is expanded from...
configure.ac:31: gl_FUNC_VASNPRINTF is required by...
m4/vasnprintf.m4:44: gl_PREREQ_PRINTF_PARSE is expanded from...
m4/intmax_t.m4:63: gt_AC_TYPE_INTMAX_T is expanded from...
configure.ac:31: gt_AC_TYPE_INTMAX_T is required by...
m4/vasnprintf.m4:55: gl_PREREQ_VASNPRINTF is expanded from...
m4/human.m4:17: gl_HUMAN is expanded from...
configure.ac:31: gl_HUMAN is required by...
m4/inttostr.m4:23: gl_PREREQ_INTTOSTR is expanded from...
m4/inttostr.m4:15: gl_INTTOSTR is expanded from...
configure.ac:31: gl_INTTOSTR is required by...
m4/obstack.m4:25: gl_PREREQ_OBSTACK is expanded from...
m4/obstack.m4:16: gl_OBSTACK is expanded from...
configure.ac:31: gl_OBSTACK is required by...
m4/xstrtol.m4:20: gl_PREREQ_XSTRTOL_H is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL_H is required by...
m4/xstrtol.m4:29: gl_PREREQ_XSTRTOL is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL is required by...
m4/xstrtol.m4:13: gl_XSTRTOL is expanded from...
configure.ac:31: gl_XSTRTOL is required by...
m4/xstrtoumax.m4:9: gl_XSTRTOUMAX is expanded from...
configure.ac:31: gl_XSTRTOUMAX is required by...
m4/stat-prog.m4:71: cu_PREREQ_STAT_PROG is expanded from...
configure.ac:31: cu_PREREQ_STAT_PROG is required by...
autoreconf: configure.ac: tracing
configure.ac:31: warning: gl_AC_TYPE_UINTMAX_T is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_UINTMAX_T is required by...
m4/jm-macros.m4:291: gl_CHECK_ALL_TYPES is expanded from...
m4/jm-macros.m4:181: gl_MACROS is expanded from...
configure.ac:31: the top level
configure.ac:31: warning: gl_AC_TYPE_UNSIGNED_LONG_LONG is m4_require'd but is 
not m4_defun'd
configure.ac:31: gl_AC_TYPE_UNSIGNED_LONG_LONG is required by...
m4/mkstemp.m4:69: gl_PREREQ_TEMPNAME is expanded from...
m4/mkstemp.m4:53: gl_FUNC_MKSTEMP is expanded from...
configure.ac:31: gl_FUNC_MKSTEMP is required by...
m4/prereq.m4:135: gl_PREREQ is expanded from...
configure.ac:31: gl_PREREQ is required by...
configure.ac:31: warning: gl_AC_TYPE_LONG_LONG is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_LONG_LONG is required by...
m4/allocsa.m4:17: gl_ALLOCSA is expanded from...
configure.ac:31: gl_ALLOCSA is required by...
m4/fsusage.m4:269: gl_PREREQ_FSUSAGE_EXTRA is expanded from...
m4/fsusage.m4:37: gl_FSUSAGE is expanded from...
configure.ac:31: gl_FSUSAGE is required by...
configure.ac:31: warning: gl_AC_HEADER_INTTYPES_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_INTTYPES_H is required by...
m4/intmax_t.m4:33: gl_AC_TYPE_INTMAX_T is expanded from...
m4/strtoimax.m4:37: gl_PREREQ_STRTOIMAX is expanded from...
m4/strtoimax.m4:30: gl_FUNC_STRTOIMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOIMAX is required by...
configure.ac:31: warning: gl_AC_HEADER_STDINT_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_STDINT_H is required by...
m4/strtoll.m4:20: gl_FUNC_STRTOLL is expanded from...
configure.ac:31: gl_FUNC_STRTOLL is required by...
m4/strtoull.m4:20: gl_FUNC_STRTOULL is expanded from...
configure.ac:31: gl_FUNC_STRTOULL is required by...
m4/strtoumax.m4:37: gl_PREREQ_STRTOUMAX is expanded from...
m4/strtoumax.m4:30: gl_FUNC_STRTOUMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOUMAX is required by...
m4/vasnprintf.m4:32: gl_PREREQ_PRINTF_ARGS is expanded from...
m4/vasnprintf.m4:22: gl_FUNC_VASNPRINTF is expanded from...
configure.ac:31: gl_FUNC_VASNPRINTF is required by...
m4/vasnprintf.m4:44: gl_PREREQ_PRINTF_PARSE is expanded from...
m4/intmax_t.m4:63: gt_AC_TYPE_INTMAX_T is expanded from...
configure.ac:31: gt_AC_TYPE_INTMAX_T is required by...
m4/vasnprintf.m4:55: gl_PREREQ_VASNPRINTF is expanded from...
m4/human.m4:17: gl_HUMAN is expanded from...
configure.ac:31: gl_HUMAN is required by...
m4/inttostr.m4:23: gl_PREREQ_INTTOSTR is expanded from...
m4/inttostr.m4:15: gl_INTTOSTR is expanded from...
configure.ac:31: gl_INTTOSTR is required by...
m4/obstack.m4:25: gl_PREREQ_OBSTACK is expanded from...
m4/obstack.m4:16: gl_OBSTACK is expanded from...
configure.ac:31: gl_OBSTACK is required by...
m4/xstrtol.m4:20: gl_PREREQ_XSTRTOL_H is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL_H is required by...
m4/xstrtol.m4:29: gl_PREREQ_XSTRTOL is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL is required by...
m4/xstrtol.m4:13: gl_XSTRTOL is expanded from...
configure.ac:31: gl_XSTRTOL is required by...
m4/xstrtoumax.m4:9: gl_XSTRTOUMAX is expanded from...
configure.ac:31: gl_XSTRTOUMAX is required by...
m4/stat-prog.m4:71: cu_PREREQ_STAT_PROG is expanded from...
configure.ac:31: cu_PREREQ_STAT_PROG is required by...
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/local/bin/autoconf --force
configure.ac:31: warning: gl_AC_TYPE_UINTMAX_T is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_UINTMAX_T is required by...
m4/jm-macros.m4:291: gl_CHECK_ALL_TYPES is expanded from...
m4/jm-macros.m4:181: gl_MACROS is expanded from...
configure.ac:31: the top level
configure.ac:31: warning: gl_AC_TYPE_UNSIGNED_LONG_LONG is m4_require'd but is 
not m4_defun'd
configure.ac:31: gl_AC_TYPE_UNSIGNED_LONG_LONG is required by...
m4/mkstemp.m4:69: gl_PREREQ_TEMPNAME is expanded from...
m4/mkstemp.m4:53: gl_FUNC_MKSTEMP is expanded from...
configure.ac:31: gl_FUNC_MKSTEMP is required by...
m4/prereq.m4:135: gl_PREREQ is expanded from...
configure.ac:31: gl_PREREQ is required by...
configure.ac:31: warning: gl_AC_TYPE_LONG_LONG is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_TYPE_LONG_LONG is required by...
m4/allocsa.m4:17: gl_ALLOCSA is expanded from...
configure.ac:31: gl_ALLOCSA is required by...
m4/fsusage.m4:269: gl_PREREQ_FSUSAGE_EXTRA is expanded from...
m4/fsusage.m4:37: gl_FSUSAGE is expanded from...
configure.ac:31: gl_FSUSAGE is required by...
configure.ac:31: warning: gl_AC_HEADER_INTTYPES_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_INTTYPES_H is required by...
m4/intmax_t.m4:33: gl_AC_TYPE_INTMAX_T is expanded from...
m4/strtoimax.m4:37: gl_PREREQ_STRTOIMAX is expanded from...
m4/strtoimax.m4:30: gl_FUNC_STRTOIMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOIMAX is required by...
configure.ac:31: warning: gl_AC_HEADER_STDINT_H is m4_require'd but is not 
m4_defun'd
configure.ac:31: gl_AC_HEADER_STDINT_H is required by...
m4/strtoll.m4:20: gl_FUNC_STRTOLL is expanded from...
configure.ac:31: gl_FUNC_STRTOLL is required by...
m4/strtoull.m4:20: gl_FUNC_STRTOULL is expanded from...
configure.ac:31: gl_FUNC_STRTOULL is required by...
m4/strtoumax.m4:37: gl_PREREQ_STRTOUMAX is expanded from...
m4/strtoumax.m4:30: gl_FUNC_STRTOUMAX is expanded from...
configure.ac:31: gl_FUNC_STRTOUMAX is required by...
m4/vasnprintf.m4:32: gl_PREREQ_PRINTF_ARGS is expanded from...
m4/vasnprintf.m4:22: gl_FUNC_VASNPRINTF is expanded from...
configure.ac:31: gl_FUNC_VASNPRINTF is required by...
m4/vasnprintf.m4:44: gl_PREREQ_PRINTF_PARSE is expanded from...
m4/intmax_t.m4:63: gt_AC_TYPE_INTMAX_T is expanded from...
configure.ac:31: gt_AC_TYPE_INTMAX_T is required by...
m4/vasnprintf.m4:55: gl_PREREQ_VASNPRINTF is expanded from...
m4/human.m4:17: gl_HUMAN is expanded from...
configure.ac:31: gl_HUMAN is required by...
m4/inttostr.m4:23: gl_PREREQ_INTTOSTR is expanded from...
m4/inttostr.m4:15: gl_INTTOSTR is expanded from...
configure.ac:31: gl_INTTOSTR is required by...
m4/obstack.m4:25: gl_PREREQ_OBSTACK is expanded from...
m4/obstack.m4:16: gl_OBSTACK is expanded from...
configure.ac:31: gl_OBSTACK is required by...
m4/xstrtol.m4:20: gl_PREREQ_XSTRTOL_H is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL_H is required by...
m4/xstrtol.m4:29: gl_PREREQ_XSTRTOL is expanded from...
configure.ac:31: gl_PREREQ_XSTRTOL is required by...
m4/xstrtol.m4:13: gl_XSTRTOL is expanded from...
configure.ac:31: gl_XSTRTOL is required by...
m4/xstrtoumax.m4:9: gl_XSTRTOUMAX is expanded from...
configure.ac:31: gl_XSTRTOUMAX is required by...
m4/stat-prog.m4:71: cu_PREREQ_STAT_PROG is expanded from...
configure.ac:31: cu_PREREQ_STAT_PROG is required by...
configure:13799: error: possibly undefined macro: gl_AC_TYPE_UINTMAX_T
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:13938: error: possibly undefined macro: gl_AC_TYPE_UNSIGNED_LONG_LONG
configure:18139: error: possibly undefined macro: gl_AC_TYPE_LONG_LONG
configure:28825: error: possibly undefined macro: gl_AC_HEADER_INTTYPES_H
configure:28826: error: possibly undefined macro: gl_AC_HEADER_STDINT_H
configure:56077: error: possibly undefined macro: gl_GLIBC21
autoreconf: /usr/local/bin/autoconf failed with exit status: 1
Making check in lib
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/lib'
./t-fpending > /dev/null
make  check-am
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/lib'
make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/lib'
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/lib'
Making check in src
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/src'
rm -rf progs-readme progs-makefile
echo [.exe chgrp.exe chown.exe chmod.exe cp.exe dd.exe dircolors.exe du.exe 
ginstall.exe link.exe ln.exe dir.exe vdir.exe ls.exe mkdir.exe mkfifo.exe 
mknod.exe mv.exe nohup.exe readlink.exe rm.exe rmdir.exe shred.exe stat.exe 
sync.exe touch.exe unlink.exe cat.exe cksum.exe comm.exe csplit.exe cut.exe 
expand.exe fmt.exe fold.exe head.exe join.exe md5sum.exe nl.exe od.exe 
paste.exe pr.exe ptx.exe sha1sum.exe sort.exe split.exe sum.exe tac.exe 
tail.exe tr.exe tsort.exe unexpand.exe uniq.exe wc.exe basename.exe date.exe 
dirname.exe echo.exe env.exe expr.exe factor.exe false.exe hostname.exe id.exe 
kill.exe logname.exe pathchk.exe printenv.exe printf.exe pwd.exe seq.exe 
sleep.exe tee.exe test.exe true.exe tty.exe whoami.exe yes.exe uname.exe 
chroot.exe hostid.exe nice.exe pinky.exe users.exe who.exe uptime.exe stty.exe 
df.exe groups chroot.exe df.exe hostid.exe nice.exe pinky.exe stty.exe su.exe 
uname.exe uptime.exe users.exe who.exe \
  | tr -s ' ' '\n' | sed -e 's,.exe$,,' | LC_ALL=C sort -u > progs-makefile && \
sed -n '/^The programs .* are:/,/^[a-zA-Z]/p' ../README \
  | sed -n '/^   */s///p' | tr -s ' ' '\n' > progs-readme
diff progs-makefile progs-readme && rm -rf progs-readme progs-makefile
cd .; grep '^# *define  *S_IS' lbracket.c basename.c cat.c chgrp.c chown-core.c 
chmod.c chown.c chown-core.c chroot.c cksum.c comm.c cp.c copy.c cp-hash.c 
csplit.c cut.c date.c dd.c df.c ls.c ls-dir.c dircolors.c dirname.c du.c echo.c 
env.c expand.c expr.c factor.c false.c fmt.c fold.c install.c copy.c cp-hash.c 
head.c hostid.c hostname.c id.c join.c kill.c link.c ln.c logname.c ls.c 
ls-ls.c md5sum.c md5.c mkdir.c mkfifo.c mknod.c mv.c copy.c cp-hash.c remove.c 
nice.c nl.c nohup.c od.c paste.c pathchk.c pinky.c pr.c printenv.c printf.c 
ptx.c pwd.c readlink.c rm.c remove.c rmdir.c seq.c setuidgid.c md5sum.c 
sha1sum.c shred.c sleep.c sort.c split.c stat.c stty.c su.c sum.c sync.c tac.c 
tail.c tee.c test.c touch.c tr.c true.c tsort.c tty.c uname.c unexpand.c uniq.c 
unlink.c uptime.c users.c ls.c ls-vdir.c wc.c who.c whoami.c yes.c && exit 1 || 
:
cd .; grep st_blocks lbracket.c basename.c cat.c chgrp.c chown-core.c chmod.c 
chown.c chown-core.c chroot.c cksum.c comm.c cp.c copy.c cp-hash.c csplit.c 
cut.c date.c dd.c df.c ls.c ls-dir.c dircolors.c dirname.c du.c echo.c env.c 
expand.c expr.c factor.c false.c fmt.c fold.c install.c copy.c cp-hash.c head.c 
hostid.c hostname.c id.c join.c kill.c link.c ln.c logname.c ls.c ls-ls.c 
md5sum.c md5.c mkdir.c mkfifo.c mknod.c mv.c copy.c cp-hash.c remove.c nice.c 
nl.c nohup.c od.c paste.c pathchk.c pinky.c pr.c printenv.c printf.c ptx.c 
pwd.c readlink.c rm.c remove.c rmdir.c seq.c setuidgid.c md5sum.c sha1sum.c 
shred.c sleep.c sort.c split.c stat.c stty.c su.c sum.c sync.c tac.c tail.c 
tee.c test.c touch.c tr.c true.c tsort.c tty.c uname.c unexpand.c uniq.c 
unlink.c uptime.c users.c ls.c ls-vdir.c wc.c who.c whoami.c yes.c && exit 1 || 
:
cd .; grep '^# *define .*defined' lbracket.c basename.c cat.c chgrp.c 
chown-core.c chmod.c chown.c chown-core.c chroot.c cksum.c comm.c cp.c copy.c 
cp-hash.c csplit.c cut.c date.c dd.c df.c ls.c ls-dir.c dircolors.c dirname.c 
du.c echo.c env.c expand.c expr.c factor.c false.c fmt.c fold.c install.c 
copy.c cp-hash.c head.c hostid.c hostname.c id.c join.c kill.c link.c ln.c 
logname.c ls.c ls-ls.c md5sum.c md5.c mkdir.c mkfifo.c mknod.c mv.c copy.c 
cp-hash.c remove.c nice.c nl.c nohup.c od.c paste.c pathchk.c pinky.c pr.c 
printenv.c printf.c ptx.c pwd.c readlink.c rm.c remove.c rmdir.c seq.c 
setuidgid.c md5sum.c sha1sum.c shred.c sleep.c sort.c split.c stat.c stty.c 
su.c sum.c sync.c tac.c tail.c tee.c test.c touch.c tr.c true.c tsort.c tty.c 
uname.c unexpand.c uniq.c unlink.c uptime.c users.c ls.c ls-vdir.c wc.c who.c 
whoami.c yes.c && exit 1 || :
rm -f authors-actual authors-dotdot
for i in `ls [.exe chgrp.exe chown.exe chmod.exe cp.exe dd.exe dircolors.exe 
du.exe ginstall.exe link.exe ln.exe dir.exe vdir.exe ls.exe mkdir.exe 
mkfifo.exe mknod.exe mv.exe nohup.exe readlink.exe rm.exe rmdir.exe shred.exe 
stat.exe sync.exe touch.exe unlink.exe cat.exe cksum.exe comm.exe csplit.exe 
cut.exe expand.exe fmt.exe fold.exe head.exe join.exe md5sum.exe nl.exe od.exe 
paste.exe pr.exe ptx.exe sha1sum.exe sort.exe split.exe sum.exe tac.exe 
tail.exe tr.exe tsort.exe unexpand.exe uniq.exe wc.exe basename.exe date.exe 
dirname.exe echo.exe env.exe expr.exe factor.exe false.exe hostname.exe id.exe 
kill.exe logname.exe pathchk.exe printenv.exe printf.exe pwd.exe seq.exe 
sleep.exe tee.exe test.exe true.exe tty.exe whoami.exe yes.exe uname.exe 
chroot.exe hostid.exe nice.exe pinky.exe users.exe who.exe uptime.exe stty.exe 
df.exe groups chroot.exe df.exe hostid.exe nice.exe pinky.exe stty.exe su.exe 
uname.exe uptime.exe users.exe who.exe | sed -e 's,.exe$,,' | LC_ALL=C sort 
-u`; do \
  test "$i" = '[' && continue;                  \
  exe=$i;                                       \
  if test "$i" = install; then                  \
    exe=ginstall;                               \
  elif test "$i" = test; then                   \
    exe='[';                                    \
  fi;                                           \
  ./$exe --version                              \
    |sed -n '/Written by /{ s//'"$i"': /; s/,* and /, /; s/\.$//; p; }'; \
done > authors-actual
sed -n '/:/p' ../AUTHORS > authors-dotdot
diff authors-actual authors-dotdot && rm -f authors-actual authors-dotdot
make  check-am
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/src'
make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/src'
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/src'
Making check in doc
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/doc'
fail=0; \
grep timezone ./*.texi && fail=1; \
grep -E '(^|[^A-Za-z0-9_])IO([^A-Za-z0-9_]|$)' ./*.texi && fail=1; \
grep non-zero ./*.texi && fail=1; \
grep '@url{' ./*.texi && fail=1; \
grep -E '(^|[^A-Za-z0-9_])NUL([^A-Za-z0-9_]|$)' ./*.texi && fail=1; \
grep '\$@"' ./*.texi && fail=1; \
grep -n '[^[:punct:address@hidden' ./*.texi && fail=1; \
grep -n filename ./*.texi|grep -vE 'setfilename|{filename}' \
  && fail=1; \
perl -e 1 2> /dev/null && { perl -ne \
  '/\bPOSIX\b/ && !/address@hidden/ && !/^\* / || /{posix}/ and print,exit 1' \
  ./*.texi 2> /dev/null || fail=1; }; \
grep -iwE 'builtins?' ./*.texi && fail=1; \
exit $fail
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/doc'
Making check in man
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/man'
make  check-local
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/man'
PATH=../src:$PATH; export PATH;         \
t=ls-files.$$;                                          \
(cd . && ls -1 *.x) | sed 's/\.x$//' | LC_ALL=C sort > $t;\
echo basename.1 cat.1 chgrp.1 chmod.1 chown.1 chroot.1 cksum.1 comm.1 cp.1 
csplit.1 cut.1 date.1 dd.1 df.1 dir.1 dircolors.1 dirname.1 du.1 echo.1 env.1 
expand.1 expr.1 factor.1 false.1 fmt.1 fold.1 groups.1 head.1 hostid.1 
hostname.1 id.1 install.1 join.1 kill.1 link.1 ln.1 logname.1 ls.1 md5sum.1 
mkdir.1 mkfifo.1 mknod.1 mv.1 nice.1 nl.1 nohup.1 od.1 paste.1 pathchk.1 
pinky.1 pr.1 printenv.1 printf.1 ptx.1 pwd.1 readlink.1 rm.1 rmdir.1 seq.1 
sha1sum.1 shred.1 sleep.1 sort.1 split.1 stat.1 stty.1 su.1 sum.1 sync.1 tac.1 
tail.1 tee.1 test.1 touch.1 tr.1 true.1 tsort.1 tty.1 uname.1 unexpand.1 uniq.1 
unlink.1 uptime.1 users.1 vdir.1 wc.1 who.1 whoami.1 yes.1 | tr -s ' ' '\n' | 
sed 's/\.1$//'     \
  | LC_ALL=C sort | diff - $t || { rm $t; exit 1; };            \
rm $t
status=0;                                       \
for p in dummy `(cd ../src && MAKEFLAGS= make -s all_programs.list) | sed -e 
's,.exe$,,' | grep -v '\['`; do            \
  test $p = dummy && continue;                  \
  test $p = ginstall && p=install || : ;        \
  test -f ./$p.x                        \
    || { echo missing $p.x 1>&2; status=1; };   \
done;                                           \
exit $status
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/man'
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/man'
Making check in po
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/po'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/po'
Making check in tests
make[1]: Entering directory `/home/eblake/coreutils-5.3.0/tests'
../src/printenv POSIXLY_CORRECT >/dev/null \
  && sed s/%%/POSIXLY_CORRECT/ ./.env-warn || :
test "${CDPATH+set}" = set \
  && sed s/%%/CDPATH/ ./.env-warn || :
***********************************************************
NOTICE: Some tests may be run only as root.
  Do `make check-root' as `root' to run these tests.
***********************************************************
Making check in basename
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/tests/basename'
make  check-TESTS
make[3]: Entering directory `/home/eblake/coreutils-5.3.0/tests/basename'
PASS: basic
==================
All 1 tests passed
==================
make[3]: Leaving directory `/home/eblake/coreutils-5.3.0/tests/basename'
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/tests/basename'
Making check in chgrp
make[2]: Entering directory `/home/eblake/coreutils-5.3.0/tests/chgrp'
make  check-TESTS
make[3]: Entering directory `/home/eblake/coreutils-5.3.0/tests/chgrp'
PASS: no-x
PASS: posix-H
expected actual differ: char 547, line 20
20d19
< f
21a21
> f
FAIL: basic
PASS: deref
PASS: recurse
======================================
1 of 5 tests failed
Please report to address@hidden
======================================
make[3]: *** [check-TESTS] Error 1
make[3]: Leaving directory `/home/eblake/coreutils-5.3.0/tests/chgrp'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/home/eblake/coreutils-5.3.0/tests/chgrp'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/home/eblake/coreutils-5.3.0/tests'
make: *** [check-recursive] Error 1

reply via email to

[Prev in Thread] Current Thread [Next in Thread]